# Fenceless Grazing System App

This is the repository for the mobile application part of the Fenceless
Grazing System. The app is a rather standard Android application,
written in the Kotlin programming language. To build the application,
it is sufficient to run:

```Bash
./gradlew assembleDebug
```

This will produce an APK file which can then be loaded onto
an Android device or emulator.

Note that the application makes HTTP requests to a predefined
API server URL, currently `dev.danilafe.com`. This is not suitable
for testing if you do not have access to the domain. To
reconfigure the application to use a different API
URL, change the `apiUrl` entry in the application's `strings.xml` file:

```XML
<string name="apiUrl">http://your.domain </string>
```

The application will not be of much use if it is unable
to reach the Fenceless Grazing API server. The server's
repository can be found [here](https://dev.danilafe.com/CS-46X/server).
