package com.danilafe.fencelessgrazing.model

/**
 * Minimal information about one of the collars returned by the `/collars` API endpoints.
 *
 * @param id the internal identifier of the collar in the system.
 * @param name the collar's current designation.
 * @param pos the collar's most recent location.
 */
data class CollarSummary(val id: Int, val name: String, val pos: CollarPos)
