package com.danilafe.fencelessgrazing.ui.components

import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentActivity
import androidx.viewpager2.adapter.FragmentStateAdapter
import com.danilafe.fencelessgrazing.ui.activities.DistanceTraveledGraph

/**
 * Adapter for the [ViewPager2][androidx.viewpager2.widget.ViewPager2] class.
 */
class StatisticsGraphAdapter(activity : FragmentActivity) : FragmentStateAdapter(activity) {
    override fun getItemCount(): Int = 1
    override fun createFragment(position: Int): Fragment =
        DistanceTraveledGraph()
}